<script>
export default {
   data() {
      return {
         count: 0,
      };
   },
   methods: {
      increment() {
         this.count++;
      },
   },
};
</script>

<template>
   <!-- make this button work -->
   <div class="card">
      <div class="block card-header">
         <h2 class="card-header-title">Learning Module 3</h2>
      </div>
      <div class="block card-header">
         <h2 class="subtitle is-4">
            - Increments the button using a method
         </h2>
         <br />
      </div>
      <div class="card-content">
         <button
            class="button is-primary is-large"
            @click="increment"
         >
            count is: {{ count }}
         </button>
      </div>
   </div>
</template>
